Package org.drinkless.tdlib

# Class TdApi.GetConnectedAffiliateProgram

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ConnectedAffiliateProgram>
org.drinkless.tdlib.TdApi.GetConnectedAffiliateProgram

Enclosing class:
  `TdApi`

public static class TdApi.GetConnectedAffiliateProgram extends TdApi.Function<TdApi.ConnectedAffiliateProgram>
Returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.

Returns `ConnectedAffiliateProgram`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AffiliateType`
  `affiliate`
  The affiliate to which the affiliate program will be connected.
  `long`
  `botUserId`
  Identifier of the bot that created the program.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetConnectedAffiliateProgram()`
  Default constructor for a function, which returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.
  `GetConnectedAffiliateProgram(TdApi.AffiliateType affiliate, long botUserId)`
  Creates a function, which returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### affiliate

    public TdApi.AffiliateType affiliate
    The affiliate to which the affiliate program will be connected.

  - ### botUserId

    public long botUserId
    Identifier of the bot that created the program.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetConnectedAffiliateProgram

    public GetConnectedAffiliateProgram()
    Default constructor for a function, which returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.

    Returns `ConnectedAffiliateProgram`

  - ### GetConnectedAffiliateProgram

    public GetConnectedAffiliateProgram(TdApi.AffiliateType affiliate, long botUserId)
    Creates a function, which returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.

    Returns `ConnectedAffiliateProgram`

    Parameters:
      `affiliate` - The affiliate to which the affiliate program will be connected.
      `botUserId` - Identifier of the bot that created the program.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ConnectedAffiliateProgram>`
    Returns:
      this.CONSTRUCTOR